CREATE TABLE fnd_rra_order_lines (
    ORDER_LINE_ID            NUMBER(18, 0),
    ORDER_ID                 NUMBER(18, 0)    NOT NULL,
    PRODUCT_ID               NUMBER(18, 0)    NOT NULL,
    QUANTITY                 NUMBER           NOT NULL,
    CURRENCY_CODE            VARCHAR2(80) ,
    LIST_PRICE               NUMBER       ,
    AMOUNT                   NUMBER           NOT NULL,
    DELIVERED_DATE           DATE         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ORDER_LINE_ID            NUMBER(18, 0),
    ORDER_ID                 NUMBER(18, 0)    NOT NULL,
    PRODUCT_ID               NUMBER(18, 0)    NOT NULL,
    QUANTITY                 NUMBER           NOT NULL,
    CURRENCY_CODE            VARCHAR2(80) ,
    LIST_PRICE               NUMBER       ,
    AMOUNT                   NUMBER           NOT NULL,
    DELIVERED_DATE           DATE         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_fnd_rra_order_lines PRIMARY KEY (ORDER_LINE_ID, ORDER_LINE_ID)
);
